Name:		nyx
Summary:	Command-line monitor for Tor
Version:	2.1.0
Release:	%mkrel 7
License:	GPLv3
Group:		Networking/Other
Url:		https://nyx.torproject.org/
Source:		%{pypi_source}
BuildArch:	noarch
BuildRequires:  python3-devel
Provides:	tor-arm = %{version}-%{release}
Obsoletes:	tor-arm < 1.4.5.0-4
Obsoletes:	tor-arm-gui < 1.4.5.0-4
Obsoletes:	tor-arm-devel < 1.4.5.0-4

%description
Nyx is a command-line monitor for Tor. With this you can get detailed real-time
information about your relay such as bandwidth usage, connections, logs, and
much more.

%prep
%autosetup -p1


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files nyx

# man pages
install -Dpm644 nyx.1 %{buildroot}%{_mandir}/man1/nyx.1

%files -f %{pyproject_files}
%license LICENSE
%doc web/nyxrc.sample
%{_bindir}/nyx
%{_mandir}/man1/nyx.1*


%changelog
* Fri Mar 14 2025 daviddavid <daviddavid> 2.1.0-7.mga10
+ Revision: 2163778
- rebuild for python 3.13

* Wed Feb 21 2024 papoteur <papoteur> 2.1.0-6.mga10
+ Revision: 2042919
- rebuild for python 3.12
- use pyproject macros

* Wed Mar 23 2022 umeabot <umeabot> 2.1.0-5.mga9
+ Revision: 1823989
- Mageia 9 Mass Rebuild

* Mon Feb 28 2022 mrambo3501 <mrambo3501> 2.1.0-4.mga9
+ Revision: 1786732
- rebuild for python-3.10

* Mon Apr 05 2021 wally <wally> 2.1.0-3.mga9
+ Revision: 1713614
- rebuild for python 3.9

* Tue Feb 18 2020 umeabot <umeabot> 2.1.0-2.mga8
+ Revision: 1541133
- Mageia 8 Mass Rebuild

* Sat Dec 21 2019 wally <wally> 2.1.0-1.mga8
+ Revision: 1469268
- imported package nyx

